1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Community Patch - How To Install

Discussion in 'Community Patch Project' started by Gazebo, Jun 13, 2014.

  1. Chrisy15

    Chrisy15 Flower, Beautiful

    Joined:
    Jul 9, 2015
    Messages:
    2,070
    I personally find the manual download easier, but I guess that's because I know what I'm doing :p
     
  2. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    I have switched over to the autoinstaller long time ago. You just download it, run it, choose which part of the package you want and never have to worry if you forgot to delete the right folder again.

    I don't mean to sound mean or anything, I just do not think recommending a manual install to a newcomer is a good idea if there is a much easier option.
     
  3. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    135
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    Thank you @Christy15. It explains everything I need. I appreciate for your helps! : )
    I guess the only issue I encounter right now is that the EUI seems not compatible with CP even though I followed your instruction to delete the Lua file. I did not finish the game, but I could tell that diplomatic icons from the top right corner are missing (no pop-ups when met City states and no AI portraits, on the right corner). I guess if I want to play with CP, I would rather stop using EUI to avoid this and other potential issues.

    Anyway, I think other than that, everything works fine! Thank you guys, Especially Christy 15!
     
  4. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    Hi YingCheng,

    Please use the autoinstaller from the first post of this thread. Unless you have some non-standard setup of Civ5 / Steam, it will take care of everything (it will also update the EUI in case you have a wrong version), you do not have to bother with deleting any folders or whatnot. CP is indeed compatible with EUI, I think you just deleted a wrong folder.

    As for the other mods, 99% of mods should be compatible with CP, unless they have their own DLL (if you do not know what it is, just read the mod description - if it mentions DLL, then it is not compatible with CP)

    I would also suggest trying out the whole Vox Populi package. It makes the game 1000x more fun :)
     
  5. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    135
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    Thank YOU @vyyt. I will try using autostaller later today. It is wonderful to see that there is a way to play a game with both CP and EUI.
    Again, thank you for sending me the message and instruction. I appreciate for that as well. : ) you guys are helpful!
     
  6. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    135
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    It is just strange (but in a good way) to see the autoinstaller actually works. : )
     
    NikMuazHakim likes this.
  7. NikMuazHakim

    NikMuazHakim Warlord

    Joined:
    Feb 25, 2017
    Messages:
    249
    Gender:
    Male
    Location:
    Malaysia
    Hi,
    1.March update is considerably stable as of now, so ye. The mods surrounding Civ V are not updating as much too.
    2.The enlightenment era mod should be compatible with CP only with Compatibility patch but why miss all the CBO awesome stuff that is also compatible (have a spin)
    3. All mods with its own DLL is not compatible, err, I think?
    4. I did not test future mods for awhile but more luxury mod will be a problem, as the luxury does not naturally be spawn in the map ( unless you use admiral, conquer Indonesia or CS) if you add some mod in your gameplay ( i don't know which, yet)
    5. Ethnic diversity and other such mods are fun and compatible, horray!
     
  8. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    Me and Crisy15 already answered YingCheng's questions above :)

    Re your 2. I think he can use the original EE and does not need the Compatibility component if he is running only CP.

    Re your 4. Not sure if I understand. Never tried the Future era, but if it does not use DLL it should work with CP (not VP, it surely is incompatible with it) without problem and unless it is somehow messing with the luxuries system, I believe it will be even compatible with the original Barathor's More Luxuries.
     
    NikMuazHakim likes this.
  9. NikMuazHakim

    NikMuazHakim Warlord

    Joined:
    Feb 25, 2017
    Messages:
    249
    Gender:
    Male
    Location:
    Malaysia
    Thank you, so CP DLL can be use in a lot of games that requires dll?
     
  10. Chrisy15

    Chrisy15 Flower, Beautiful

    Joined:
    Jul 9, 2015
    Messages:
    2,070
    I presume he's referring to the YnEMP-More Luxes bug

    The exact opposite; you can only have one DLL mod enabled at a time, and so if you are using another DLL mod (Artificial Unintelligence, 34/42/61 Civ DLL etc.) then you'll have fundamental issues.

    (The whole new anti-ninja system's really boring tbh :p)

    [EDIT] I think CFC ate one of my quotes for a bit...
     
    Last edited: Apr 17, 2017
    vyyt likes this.
  11. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    Nope, as Chrisy15 said, you can have only 1 DLL at a time.

    I wrote UNLESS IT USES DLL, Future Worlds can be used with CP. If it has its own DLL, then it's a no-no. But I think it does not have its own DLL - better double check before you try it.
     
    NikMuazHakim likes this.
  12. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    135
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    I actually test it today. Here are the following mods I am using now:
    Community patch v.88 (auto-downloaded version "VP")
    C4DF (auto-downloaded version "VP")
    Enlightenment era (latest version I believe)
    Prehistoric reborn (latest version as well)
    Future worlds(latest version)
    Siskin's prehistoric reborn+enlightenment era+future worlds compatible patch (he made that patch just yesterday)
    Nutty's ethnic diversity
    More luxuries (Version 155)
    Coloured religion

    The game seems fine with those mods altogether, despite some balance issues (I guess I have to set the game as the "Quick" pace, otherwise I won't enter the classical era in 6 hours). and interface problem (production icons are not shown sometimes), I have not encountered any CTD. Right now I am possessing 8 cities. The game moves to the medieval era.

    So far, it seems work altogether.

    I have not tried a game with CBP because as I knew it has compatible issues with some of my favorite mods such as future worlds. I saw a thread actually trying to fix these problems, so I guess it would be wise for me to wait a little bit longer. I know many good modders are busy merging many good mods into VP so that we can have a nearly perfect game in the near future. As a passionate player, I have faith in them and you guys! So right now I decide to try CP first. however, I want to give my personal compliment for VP modders because I know VP puts the game into a higher stage! Great job!

    I am not familiar with modding cause I am the guy who actually major in poli sci and sociology. Therefore, I guess I may contribute a littble bit via sharing my experiences with these mods. So far I guess all of these mods I indicated above are working just fine. If someone is interested in incorporating those mods into the game just like what I am doing right now, I guess I might save you bit of time by telling you that there is no CTD happened at least in my game.

    Again, thanks for all of you guys! I appreciate for your responses!
     
    NikMuazHakim likes this.
  13. Eetere

    Eetere Chieftain

    Joined:
    Apr 19, 2017
    Messages:
    3
    I have no idea if this is the correct play to put this, but whatever.
    I've spent the last three hours trying to get the Community Patch to show up at all in the mods menu. I've tried multiple versions of this and it just does not want to show up. Anyone know how to fix this? Or at least the last version that actually showed up?
     
  14. SLGray

    SLGray King

    Joined:
    May 18, 2015
    Messages:
    838
    Gender:
    Male
    Location:
    United Sates
    Have you tried the autoinstaller?
     
  15. Eetere

    Eetere Chieftain

    Joined:
    Apr 19, 2017
    Messages:
    3
    I have tried both manual and auto install.
     
    Last edited: Apr 19, 2017
  16. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    So none of the 6 components is showing in the mods menu? Are the 6 mods components physically in the MODs folder? If yes, are there any other mods? I am particularly suspecting WHoward's Various DLL Components or anything integrating it as it is sharing the same mod ID with the Community. If yes delete it and try again. Also, you are not subscribed to the Community Patch on Steam, are you? If you are, then unsubscribe.

    EDIT: Oh, you are trying to install CP only, not the whole VP, right? Then there are less than 6 components, don't know how many, always playing the full package. But the rest of my instructions are still valid.
     
  17. Eetere

    Eetere Chieftain

    Joined:
    Apr 19, 2017
    Messages:
    3
    Various DLL Components is what did it. While I was trying to get the whole VP thing, only the CP mod itself wasn't showing, stuff like CBO was. It's fixed now, so thanks for the help.
     
    vyyt likes this.
  18. alan_ktc

    alan_ktc Chieftain

    Joined:
    Aug 19, 2015
    Messages:
    6
    I installed this mod using the installer and my leaders' UU and UB changed but not their UA. Any solutions?
     
  19. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,712
    Location:
    Czech Republic
    Now this is strange. Are you sure it is what is happening? Isn't it just the text descriptions did not change? If this is the case, then I suppose your Civ5 is in a non-English language and you are seeing a strange mix of original and new texts. The best way to fix it is to switch the game to English - you can do it somewhere in the Steam settings.

    If the UAs really did not change, then it is probably a botched install. Can you give us an example of the UU, UB, UA you are seeing?
     
  20. Lightning1379

    Lightning1379 Chieftain

    Joined:
    Apr 30, 2017
    Messages:
    2
    Gender:
    Male
    Hey I have been installing the mods and everything is going well until i tried playing the game. It seems like none of the mods are working and i have already spent 3 hours doing it. I tried auto installation and even tried manual installation, deleting the LUA files and nothing still works. The tech trees did not change at all neither did the policy tree changes. Nothing changes
     

Share This Page